Subject: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Po Lu <[email-masked]>
Date: Sun, 22 Oct 2023 08:15:38 +0800

Stefan Monnier <[email-masked]> writes:

> FWIW, I think this would be a disservice to them (and to ourselves).
> In 99% of the cases it's just as easy to make the code work with
> `lexical-binding:t`.

I think we want to encourage whatever relieves users of the most work,
not what comports best with some abstract conception of desirability.

Since the number of package developers does not exceed the number of
users installing packages, which goes without saying.